Compare commits

...

No commits in common. "c8s" and "c8" have entirely different histories.
c8s ... c8

13 changed files with 2 additions and 174 deletions

63
.gitignore vendored
View File

@ -1,62 +1 @@
pango-1.28.1.tar.bz2
/pango-1.28.2.tar.bz2
/pango-1.28.3.tar.bz2
/pango-1.28.4.tar.bz2
/pango-1.29.3.tar.xz
/pango-1.29.4.tar.xz
/pango-1.29.5.tar.xz
/pango-1.30.0.tar.xz
/pango-1.30.1.tar.xz
/pango-1.31.0.tar.xz
/pango-1.32.1.tar.xz
/pango-1.32.2.tar.xz
/pango-1.32.3.tar.xz
/pango-1.32.5.tar.xz
/pango-1.32.6.tar.xz
/pango-1.33.7.tar.xz
/pango-1.33.8.tar.xz
/pango-1.33.9.tar.xz
/pango-1.34.0.tar.xz
/pango-1.34.1.tar.xz
/pango-1.35.0.tar.xz
/pango-1.35.2.tar.xz
/pango-1.35.3.tar.xz
/pango-1.36.0.tar.xz
/pango-1.36.1.tar.xz
/pango-1.36.2.tar.xz
/pango-1.36.3.tar.xz
/pango-1.36.4.tar.xz
/pango-1.36.5.tar.xz
/pango-1.36.6.tar.xz
/pango-1.36.7.tar.xz
/pango-1.36.8.tar.xz
/pango-1.37.0.tar.xz
/pango-1.37.1.tar.xz
/pango-1.37.2.tar.xz
/pango-1.37.3.tar.xz
/pango-1.37.4.tar.xz
/pango-1.37.5.tar.xz
/pango-1.38.0.tar.xz
/pango-1.38.1.tar.xz
/pango-1.39.0.tar.xz
/pango-1.40.0.tar.xz
/pango-1.40.1.tar.xz
/pango-1.40.2.tar.xz
/pango-1.40.3.tar.xz
/pango-1.40.4.tar.xz
/pango-1.40.5.tar.xz
/pango-1.40.6.tar.xz
/pango-1.40.7.tar.xz
/pango-1.40.8.tar.xz
/pango-1.40.9.tar.xz
/pango-1.40.10.tar.xz
/pango-1.40.11.tar.xz
/pango-1.40.12.tar.xz
/pango-1.40.13.tar.xz
/pango-1.40.14.tar.xz
/pango-1.41.1.tar.xz
/pango-1.42.0.tar.xz
/pango-1.42.1.tar.xz
/pango-1.42.2.tar.xz
/pango-1.42.3.tar.xz
/pango-1.42.4.tar.xz
SOURCES/pango-1.42.4.tar.xz

1
.pango.metadata Normal file
View File

@ -0,0 +1 @@
240942b1307eaa3819e6e534596271c57cd75457 SOURCES/pango-1.42.4.tar.xz

View File

@ -1,7 +0,0 @@
--- !Policy
product_versions:
- rhel-8
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}
- !PassingTestCaseRule {test_case_name: desktop-qe.desktop-ci.tier1-gating.functional}

View File

@ -1 +0,0 @@
SHA512 (pango-1.42.4.tar.xz) = 993e97f647eba0c5ed90bcfcb8228bf67fa3f20b1f4331e4e40a30788d7c3ac55eee1209471bf21df125cb8fc6121acc8062a9da2f8a7d6cbe8e9ad13a9320dc

View File

@ -1,3 +0,0 @@
role_pkgs_req:
- rsync
- xorg-x11-server-Xvfb

View File

@ -1,4 +0,0 @@
---
dependencies:
- role: str-common-init

View File

@ -1,87 +0,0 @@
---
- name: Check if GNOME installed-tests testing harness is installed
register: gnome_desktop_testing_runner
find:
paths: "{{ ansible_env.PATH.split(':') }}"
pattern: gnome-desktop-testing-runner
- name: Build and install GNOME installed-tests testing harness
when: gnome_desktop_testing_runner.matched == 0
block:
- name: Installing build dependencies for GNOME installed-tests testing harness
package:
name:
- git
- make
- gcc
- diffutils
- autoconf
- automake
- libtool
- glib2-devel
- systemd-devel
- name: Fetching GNOME installed-tests testing harness source from remote repository
git:
repo: 'https://gitlab.com/redhat/centos-stream/tests/gnome-desktop-testing.git'
dest: gnome-desktop-testing
force: yes
- name: Checkout v2021.1 tag in GNOME installed-tests testing harness
command: git checkout -b v2021.1 refs/tags/v2021.1
args:
chdir: gnome-desktop-testing
- name: Configure GNOME installed-tests testing harness build
command: ./autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var
args:
chdir: gnome-desktop-testing
- name: Build GNOME installed-tests testing harness
command: make
args:
chdir: gnome-desktop-testing
- name: Install GNOME installed-tests testing harness
command: make install
args:
chdir: gnome-desktop-testing
- name: Start GNOME installed-tests testing harness
block:
- name: Execute tests
shell: |
set -e
log_file="{{ remote_artifacts }}/{{ installed_test_name }}.log"
exec 2>>$log_file 1>>$log_file
status="FAIL"
dbus-run-session xvfb-run -a -s '-screen 0 1024x768x24' env TMPDIR='{{ remote_artifacts }}' G_MESSAGES_DEBUG='all' gnome-desktop-testing-runner '{{ installed_test_name }}'
if [ $? -eq 0 ]; then
status="PASS"
fi
echo "${status} $TEST" >> {{ remote_artifacts }}/test.log
- name: Check the results
shell: |
log="{{ remote_artifacts }}/test.log"
if [ ! -f "$log" ]; then
echo ERROR
echo "Test results not found." 1>&2
elif grep ^FAIL "$log" 1>&2; then
echo FAIL
elif grep -q ^PASS "$log"; then
echo PASS
else
echo ERROR
echo "No test results found." 1>&2
fi
register: test_results
- name: Set role result
set_fact:
role_result: "{{ test_results.stdout }}"
role_message: "{{ test_results.stderr|d('test execution error.') }}"
- include_role:
name: str-common-final

View File

@ -1,10 +0,0 @@
- hosts: localhost
roles:
- role: gnome-desktop-testing-role
installed_test_name: pango
tags:
- classic
- gating
required_packages:
- abattis-cantarell-fonts